Forum Rule: Always post complete source code & details to reproduce any issue!
Results 1 to 3 of 3

Thread: Patch Teensyduino Core Library

  1. #1

    Patch Teensyduino Core Library

    I would like to this github code made for the Teensy:
    https://github.com/dogtopus/RDS4Reboot

    It says the following:
    For Teensyduino IDE users, there are two ways to install the patched library. One way is to run scripts/makepatch.sh and apply the generated patch file using the patch tool to an existing Teensyduino core installation. The other way is to directly replace the core library of a working installation with the patched version. Then you might want to edit the boards.txt in a similar fashion as this (with necessary changes like replace USB_XINPUT with USB_DS4STUB and so on). For PlatformIO users, it is possible to use the companion script hosted here and follow the instruction here. Afterwards add -DUSB_DS4STUB -UUSB_SERIAL to the build parameters.

    After patching the Teensyduino core library just download and install RDS4Reboot normally.
    I see it has instructions (kinda) but I am not quite sure what "scripts/makepatch.sh and apply the generated patch file using the patch tool to an existing Teensyduino core installation" means. Can someone offer guidance or perhaps some documentation I need to read to do this?

  2. #2
    Well I just decided to rip out the old installation and install the new on to v1.52. Now I am trying to replace all of the USB_XINPUT with USB_DS4STUB. Though I cannot them in my boards.txt so I am going to figure that out.

  3. #3
    Member
    Join Date
    Jul 2018
    Posts
    40
    You also need the following repo https://github.com/dogtopus/teensy-cores. This repo has scripts/makepatch.sh. Sound like an interesting project but I am not working on it.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •